Summary:	Tag editor for MP3, OGG files
Name:		easytag
Version:	2.4.3
Release:	%mkrel 4
License:	GPLv2+
Group:		Sound
URL:		https://wiki.gnome.org/Apps/EasyTAG
Source0:	https://download.gnome.org/sources/easytag/2.4/easytag-%version.tar.xz
Patch0:     01_remove-pixdata.patch
Patch1:     02_fix-ogg-corruption.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-style-xsl
BuildRequires:  itstool
BuildRequires:  intltool
BuildRequires:  %{_lib}flac12-devel
BuildRequires:  %{_lib}glib2.0_0-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}id3_3.8_3-devel
BuildRequires:  %{_lib}id3tag-devel
BuildRequires:  %{_lib}opusfile-devel
BuildRequires:  %{_lib}speex1-devel
BuildRequires:  %{_lib}taglib-devel
BuildRequires:  %{_lib}vorbis0-devel
BuildRequires:  %{_lib}wavpack-devel
BuildRequires:  libpthread-stubs
BuildRequires:  xsltproc
BuildRequires:  yelp-tools
Requires:	gnome-icon-theme
Requires:	dconf-editor
Requires:	glib2.0-common

%description
EasyTAG is a simple application for viewing and editing tags in audio files.
It supports MP3, MP2, MP4/AAC, FLAC, Ogg Opus, Ogg Speex, Ogg Vorbis, MusePack,
Monkey's Audio, and WavPack files. And works under Linux or Windows.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/*

# mark help files with %%lang tag
for FILE in $(find -L %{buildroot}%{_datadir}/help \( -type f -o -xtype l \)) ; do
  echo "%lang($(echo $FILE | awk -F / '{print $11}')) $(echo $FILE | sed -e 's:%{buildroot}::g')" >> %{name}-help.lang
done

%clean
%__rm -rf %{buildroot}

%post
glib-compile-schemas /usr/share/glib-2.0/schemas/

%postun
glib-compile-schemas /usr/share/glib-2.0/schemas/


%files -f %{name}.lang -f %{name}-help.lang
%defattr(-,root,root)
%doc ChangeLog README TODO THANKS
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help
%{_iconsdir}/hicolor
%{_datadir}/man/man1/easytag.1.bz2
%{_datadir}/metainfo/easytag.appdata.xml
   
%changelog
* Thu Aug 03 2023 tex - 2.4.3-4pclos2023
- fix compile schemas

* Thu Aug 01 2019 tex - 2.4.3-3pclos2019
- apply deb patches

* Wed Sep 20 2017 bb2 <bb2> - 2.4.3-2pclos2017
- rebuild against updates

* Wed Dec 07 2016 bb <bb> 2.4.3-1pclos2017
- update

* Sat Mar 05 2016 marcin82 <marcin82@vp.pl> 2.4.2-1pclos2016
- update
- updated url and source url
- added BR: %{_lib}opusfile-devel, libpthread-stubs
- removed %%post, %%postun sections
- removed R: desktop-file-utils
- removed inode/directory modifications

* Thu Jan 28 2016 bb <bb> 2.4.1-1pclos2016
- update


